diff --git a/contrib/file_fdw/file_fdw.c b/contrib/file_fdw/file_fdw.c
new file mode 100644
index 4368897..7b4839b
*** a/contrib/file_fdw/file_fdw.c
--- b/contrib/file_fdw/file_fdw.c
*************** estimate_size(PlannerInfo *root, RelOptI
*** 947,953 ****
  							   baserel->baserestrictinfo,
  							   0,
  							   JOIN_INNER,
! 							   NULL);
  
  	nrows = clamp_row_est(nrows);
  
--- 947,954 ----
  							   baserel->baserestrictinfo,
  							   0,
  							   JOIN_INNER,
! 							   NULL,
! 							   NIL);
  
  	nrows = clamp_row_est(nrows);
  
diff --git a/contrib/postgres_fdw/postgres_fdw.c b/contrib/postgres_fdw/postgres_fdw.c
new file mode 100644
index 478e124..ff6b438
*** a/contrib/postgres_fdw/postgres_fdw.c
--- b/contrib/postgres_fdw/postgres_fdw.c
*************** postgresGetForeignRelSize(PlannerInfo *r
*** 478,484 ****
  													 fpinfo->local_conds,
  													 baserel->relid,
  													 JOIN_INNER,
! 													 NULL);
  
  	cost_qual_eval(&fpinfo->local_conds_cost, fpinfo->local_conds, root);
  
--- 478,485 ----
  													 fpinfo->local_conds,
  													 baserel->relid,
  													 JOIN_INNER,
! 													 NULL,
! 													 NIL);
  
  	cost_qual_eval(&fpinfo->local_conds_cost, fpinfo->local_conds, root);
  
*************** estimate_path_cost_size(PlannerInfo *roo
*** 1770,1776 ****
  										   local_join_conds,
  										   baserel->relid,
  										   JOIN_INNER,
! 										   NULL);
  		local_sel *= fpinfo->local_conds_sel;
  
  		rows = clamp_row_est(rows * local_sel);
--- 1771,1778 ----
  										   local_join_conds,
  										   baserel->relid,
  										   JOIN_INNER,
! 										   NULL,
! 										   NIL);
  		local_sel *= fpinfo->local_conds_sel;
  
  		rows = clamp_row_est(rows * local_sel);
